Den kommande versionen av 3dmark som kan komma att bli 3dmark07 kommer enligt en av utvecklarna att kräva Directx10. De tre senaste versionerna av 3dmark, 03, 05 och 06 har använt sig av Directx9 vilket är den versionen som de flesta av dagens spel och program använder sig av.

Det finns ännu inte särskilt mycket information tillgängligt men en av programmerarna på Futuremark skriver en del om det i sin blogg.